<?php
   if($_REQUEST[mode]=='update') $_REQUEST[mode]="simpan";
   function SaveData() {   
        global $objAxpDB;
        #$objAxpDB->Allow_Save(false);
        $objAxpDB->form_save_method="REPLACE";
        $strSQL=array();
        switch($_REQUEST[mode]) {
        case "simpan":
           $strSQL["DEL txcashflow_projection_det"][]="DELETE FROM txcashflow_projection_det WHERE ftcp_no='{$_REQUEST['ftcp_no']}'";
        break;
        }
      
        return $strSQL;
   }

   
    function CancelData() {    
        global $objAxpDB;
//       $objAxpDB->Allow_Cancel(false);
        $strSQL=array();
        switch($_REQUEST[mode]) {
          case "batal":  
        
         // batal -%
//          $ssql1="SELECT IFNULL(MAX(ftcp_no),'')  AS M
//                      FROM txcashflow_projection_hdr
//                      WHERE ftcp_no LIKE '{$_REQUEST['ftcp_no']}-%'";
//            $no=RetRstField($ssql1);
//            if($no!="") {
//                $no=$no+1;
//                $str1="-{$no}";
//            }
//            else {
//                $str1="-1";
//            }
//
//             $ftcp_no_new="{$_REQUEST['ftcp_no']}{$str1}";
//
//             $strSQL["batal"][]="update txcashflow_projection_hdr
//                                set fnstatus=9,ftcp_no='{$ftcp_no_new}'
//                                where ftcp_no='{$_REQUEST['ftcp_no']}'";
//
//             $strSQL["batal"][]="update txcashflow_projection_det
//                                set ftcp_no='{$ftcp_no_new}'
//                                where ftcp_no='{$_REQUEST['ftcp_no']}'";

            //--------------------------------------------
            break;
        }
        
        return $strSQL;
      }
      
?>
